<?php
#------------------------------------------
# Plugin para WDTV Live
# Series Series.ly
#------------------------------------------
include('funciones.php');
include('funciones-seriesly.php');

function _pluginMain($prmQuery) {
	$website = 'http://series.ly/series/index.php';
	$plugin = 'series-seriesly';
	$queryData = array();
	parse_str($prmQuery, $queryData);

	$mi_cookie = _readCookiesSeriesLy();

	// Create a stream
	$opts = array(
			'http'=>array(
					'method'=>"GET",
					'header'=>"Cookie: ".$mi_cookie."\r\n"
			)
	);

	$context = stream_context_create($opts);


	//Estructura Página Inicial
	if ($queryData['inicio'] =='listadoA') { // Listado Alfabético
		$html = file_get_contents($website, false, $context);	
		preg_match_all('/<a href="\/series\/search\/l.php\?l=(.*?)">(.*?)<\/a>/',$html, $todo);
		$lista = array ('titulo' => $todo[2],'enlace' => $todo[1]);
		$lista['caratula'] = _IconosAlfabeto(2);
		$tipo = 'letra';
	}
	else if ($queryData['inicio'] =='listadoS' || $queryData['inicio'] =='listadoV' ) {
		$html = file_get_contents($website, false, $context);
		$series = preg_split( '/<\/h4><ul>/', $html );
		if($queryData['inicio'] =='listadoS') {
			preg_match_all('/<span class="ellipsis"><a href="(.*?)">(.*?)<\/a><\/span>/',$series[1],$todo);
		}else if($queryData['inicio'] =='listadoV') {
			preg_match_all('/<span class="ellipsis"><a href="(.*?)">(.*?)<\/a><\/span>/',$series[2],$todo);
		}
		$lista = array ('titulo' => $todo[2],'enlace' => $todo[1]);
		foreach ($lista['enlace'] as &$value) { $value = 'http://series.ly'.$value;}
		$tipo = 'temporadas';
	}
	else if ($queryData['letra'] !='') {
		$url = 'http://series.ly/series/search/l.php?l='.$queryData['letra'];
		$html = file_get_contents($url, false, $context);
		preg_match_all('/<a href="(.*?)"><img src="(.*?)" class="minithumb".*[\s\n\t]*.*">(.*?)<\/a><\/td>/',$html,$todo);
		$lista = array ('titulo' => $todo[3],'enlace' => $todo[1], 'caratula' => $todo[2]);
		foreach ($lista['enlace'] as &$value) { $value = 'http://series.ly'.$value;}
		$tipo = 'temporadas';
	}
        else if ($queryData['temporadas'] !='') {
                $html = file_get_contents($queryData['temporadas'], false, $context);
                preg_match_all('/<span id="temp([0-9]*?)">(.*?)<\/span>/',$html,$todo);
                preg_match('/<div id="titulo_sup" class="lucida clearfix"><h4>(.*?)<\/h4>/',$html,$titSerie);
                preg_match('/<div id="img_ppal"><img src="(.*?)"/',$html,$coverSerie);
                   foreach ($todo[1] as $value) { $caratulas[] = $coverSerie[1];}
                     $lista = array ('titulo' => $todo[2],'enlace' => $todo[1], 'caratula' => $caratulas, 'serie' => $titSerie[1], 'url' => $queryData['temporadas']);
                         foreach ($lista['enlace'] as &$value) { $value = $queryData['temporadas'].'_'.$value;}
                                $tipo = 'temporada'; 
         }
	else if ($queryData['temporada'] !='') {
		preg_match('/\/serie-(.*?)_([0-9]+)/', $queryData['temporada'], $datos);
		$url = 'http://series.ly/series/serie-'.$datos[1];
		$html = file_get_contents($url, false, $context);
		$strSearch = '<span id="temp'.$datos[2].'">';
		$posInicio = strpos($html, $strSearch);
		$initTemp = substr($html, $posInicio);
		$temporada = preg_split( '/<span id="temp([0-9]*?)">(.*?)<\/span>/', $initTemp );
	        preg_match_all('/nom="(.*?)" epi="(.*?)".*?cargaCapitulos\(\'([0-9]+)\'/',$temporada[1],$todo);
		for ($i = 0; $i < sizeof($todo[1]); $i++) { $todo[1][$i] = $todo[2][$i].' - '.$todo[1][$i]; }
		$lista = array ('titulo' => $todo[1],'enlace' => $todo[3]);
		$tipo = 'capitulos';
	}
	// Página de capítulos
	else if ($queryData['capitulos']!='') {
		$url='http://series.ly/scripts/ajax/videos_capitulo.php';
		$data='idc='.$queryData['capitulos'].'&lang=0%3B0';
		$optional_headers="Cookie: ".$mi_cookie."\r\n";
		$links=do_post_request($url, $data, $optional_headers);
		preg_match_all("/sinpadding.*megavideo_player.php\?idc=(.*)&ver_mv/",$links,$todo);
                preg_match_all('/<span class="info_gran">(.*?)<\/span>/',$links,$todo1);
                for($i = 0; $i < count($todo1[1]); $i++) {
                  $pos=strrpos($todo1[1][$i],"hd_logo");
                  if ($pos === false) {
                  $tipo[]=$todo1[1][$i]." - Calidad Estandar";
                  $tipo2[]="http://i52.tinypic.com/34g22d5.png";
                  }
                  else {
                   $tipo[]=substr($todo1[1][$i],48)." - Calidad HD"; 
                   $tipo2[]="http://i53.tinypic.com/35c0j6f.png";
                  } 
                  } 
		$lista = array ('titulo' => $tipo,'enlace' => $todo[1],'caratula' => $tipo2);
		$tipo = 'enlaces';
	}
	// Página de enlaces a MV y MU
	else if ($queryData['enlaces']!=''){
		@file_get_contents('http://series.ly/scripts/player/megavideo_player.php?idc='.$queryData['enlaces'].'&ver_mv=true', null, $context);
		preg_match_all("/http:\/\/www.megavideo.com\/\?v=(........)/",$http_response_header[5],$mv);

		$codmv[]=$mv[1][0]; 
		$lista = array ('megavid' => $codmv,'megaup' => $mu,'titulo' => 'Enlace MV');

		return _pluginCreateVideoItems($lista,$plugin);
	}
	// inclusión en favoritos
	else if ($queryData['favoritos'] !='') { 
		return _pluginFavorito($queryData['favoritos'],$plugin);
	}
	// Página Inicial
	else
	{
		$lista = array (
		'titulo' => array ('Listado Alfab&eacute;tico','M&aacute;s Seguidas','M&aacute;s Vistas'),
		'enlace' => array ('listadoA','listadoS','listadoV' ),
		'caratula' => array ('http://i53.tinypic.com/2rctwn6.jpg','http://i53.tinypic.com/20zsiuh.jpg','http://i52.tinypic.com/f4faqo.jpg'),
		);
		$tipo = 'inicio';

	}
	return _CrearItems($lista,$plugin,$tipo);
}
 
?>
